Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class MetaClassCreationHandle

Removes a cached MetaClass from the registry

param:
  theClass The Java class of the MetaClass to remove

Constructor Summary
`MetaClassCreationHandle()`

Method Summary
`MetaClass` | `create(Class theClass, MetaClassRegistry registry)`
`MetaClass` | `createNormalMetaClass(Class theClass, MetaClassRegistry registry)`

Constructor Detail

### MetaClassCreationHandle

    MetaClassCreationHandle()

Method Detail

### create

    public MetaClass create(Class theClass, MetaClassRegistry registry)

### createNormalMetaClass

    MetaClass createNormalMetaClass(Class theClass, MetaClassRegistry registry)